Bug 29012 - gallium: drivers should respect force_s3tc_enable option (and maybe other) as classic driver
Summary: gallium: drivers should respect force_s3tc_enable option (and maybe other) as...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: All All
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-12 01:27 UTC by Chris Rankin
Modified: 2011-07-27 20:37 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rankin 2010-07-12 01:27:59 UTC
Some games (such as World of Warcraft) need S3TC texture support, and so will crash if the OpenGL S3TC extensions are not advertised. Currently, the only way to make Gallium advertise the S3TC extensions is to load the IP-encumbered libtxc_dxtn library.

WoW can run successfully using the r300c driver without the libtxc_dxtn, provided the force_s3tc_enable option is used. (There are some issues with corrupt textures, although some of these issues might be caused e.g. by r300c not supporting texture cache regions. However, my point is that WoW doesn't crash instantly with a null pointer exception if the S3TC extensions are available.)
Comment 1 Fabio Pedretti 2010-10-11 02:07:50 UTC
Agree. Some game are considering forcing S3TC this way (e.g. 0ad) and this won't work with gallium drivers. I see also very few options with driconf with gallium drivers, maybe other than force_s3tc_enable should be made available.

Moving to mesa core since this also affects softpipe.
Comment 2 Jerome Glisse 2011-02-09 07:26:36 UTC
Is this still an issue ?
Comment 3 Fabio Pedretti 2011-02-09 07:39:30 UTC
(In reply to comment #2)
> Is this still an issue ?

Yes.
Comment 4 Bryan Cain 2011-07-27 20:37:59 UTC
This is fixed by commits 95739f19c and 860c51d82711 in master for all Gallium drivers using u_format.  I've also pushed them to the 7.11 branch.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.